-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (93) .- Knowledge Base  . 

gmail-plasmoid

   0.7.20  

Plasmoid Script

Score 91%
gmail-plasmoid
zoom


gmail-plasmoid
zoom


gmail-plasmoid
zoom


Homepage:  Link
Minimum required   KDE 4.x
Downloads:  14386
Submitted:  Mar 19 2009
Updated:  Jan 31 2012

Description:

A Gmail notification widget for your desktop or panel.

This widget is designed to be docked in a panel, or added to your desktop, and display the number of unread messages in multiple Gmail accounts. Clicking on the widget will open the Gmail account in your favorite browser. The widget is written in python, meaning that there is no compiling necessary as long as you have the required script-engine installed.

For more screenshots visit the project homepage.

Features:
- *NEW* New simplified version re-implemented in qml and javascript available for testing (very early version with little error checking and many features missing and/or removed).
- *NEW* New qml version likely requires KDE 4.8 (but may work with KDE 4.7).
- *NEW* Testing qml version will coexist with existing gmail-plasmoid (testing version is called gmail-plasmoid-qml).
- *NEW* Any comments regarding new qml version appreciated.

- Selectable fetching mechanism to address multiple issues (see "Misc." configuration tab)
- Dynamic network connection detection
- Bulgarian, Chinese Traditional, Czech, French, German, Greek, Italian, Polish, Russian, Serbian, Spanish and Ukrainian translations
- Supports multiple Gmail accounts and Gmail labels
- Supports Gmail hosted domains
- Uses KWallet to securely store passwords
- Configurable icon and text font, size and color
- Configurable command run upon clicking the widget
- Configurable notifications using the KDE notification system
- Includes notification for when no unread emails exist (useful for running command to turn off message indicator LEDs, etc.)
- "Check email now" menu option to force email check upon command
- Ability to manually pause and resume email checking
- Threads context menu that shows unread messages on right-click


Please let me know if you find any problems or would like some new features included. The best place to request new features is on the project's homepage.

How to install:
- Download the latest version
- Uninstall any previous version (see instructions below)
- Run the following command in the directory where the file was placed (updated to reflect the actual filename):

Quote:
plasmapkg -i gmail-plasmoid-0.7.20.plasmoid

- The widget should now be listed in your "Add Widgets" screen

Note: If you get missing script-engine errors when loading the widget you need to install the plasma python script-engine (in openSUSE this requires the "python-kdebase4" and "python-devel" packages, in Fedora this requires the "kdebase-workspace-python-applet" package, in Kubuntu this requires the "plasma-scriptengine-python" package)

How to uninstall:
- Run the following command at the command line:

Quote:
plasmapkg -r gmail-plasmoid




Changelog:

0.7.20 (11.07.2011)
- Added workaround for bug affecting kwallet

0.7.19 (10.07.2011)
- Fixed bug in label fetching
- Updated French translation

0.7.18 (09.07.2011)
- Added multiple fetch mechanisms
- Added dynamic network connection detection
- Added ability to reduce debug output

0.7.17 (04.07.2011)
- Updated kwallet handling
- Updated handling of translations
- Made configuration screen non-blocking
- Other minor fixes and changes

0.7.16 (13.02.2011)
- Fixed kwallet issue under KDE SC 4.6

0.7.15 (25.09.2010)
- Fixed issue with newer versions of SIP
- Updated to use default pop-up for better consistency with Plasma desktop




LicenseGPL
(plasmoid package (version 0.7.20))
(alternate download location (version 0.7.20))
(previous version (version 0.7.19))
(Early development qml based gmail-plasmoid (0.0.3))
Send to a friend
Subscribe
Other  Apps  from mjmccans
Report inappropriate content



goto page: prev  ... 8  9  10  11  12  13  14  15  16  17  18  19  20  21  22  23 ...

-

 New icon system.

 
 by AlejandroNova on: Aug 26 2010
 
Score 50%

Can you update this plugin to use the new icon + tray system in KDE 4.4/4.5? This is a plasmoid, and KDE 4.5 can have plasmoids in my tray area. But I'm experiencing some issues.

1. When I hover over the app, a custom made tooltip appears. That custom tooltip isn't coherent with the new standards set by the KDE desktop.

2. When I try to right click on the icon, the tooltip interferes with my right click. I can try to right click five or six times before the plasmoid doesn't display its tooltip and display its menu instead.

All of those problems could be solved by using the now standard KDE tray + tooltip system. I fully understand that you made this plasmoid before that standard, and I congratulate you for that. But... can't we have an update?


Reply to this

-

 Re: New icon system.

 
 by mjmccans on: Sep 25 2010
 
Score 50%

Thanks for the comments, and you are right about the tooltip. Please give the latest version a try and see if it fixes your issue.


Reply to this

-

 Not working...

 
 by OdinEidolon on: Aug 26 2010
 
Score 50%

... hi, I installed this plasmoid via the integrated "add object" panel. I have archlinux and KDE4.4. I selected my system tray to show this plasmoid, and it does. But it simply does not monitor my gmail account at all: when I receive a mail I have no sign I did (even if I wait 10 minutes). The profile is correctly configured. The icon remains always red, with no nomber on it and no '!'.


Reply to this

-

 Re: Not working...

 
 by annia on: Aug 29 2010
 
Score 50%

you might need to downgrade sip.
For more detail, pls check
http://code.google.com/p/gmail-plasmoid/issues/detail?id=49


Reply to this

-

 Re: Re: Not working...

 
 by OdinEidolon on: Aug 30 2010
 
Score 50%

done, works.

For those interested, using archlinux:

sudo pacman -U http://schlunix.org/archlinux/extra/os/x86_64/sip-4.10.2-1-x86_64.pkg.tar.xz


Reply to this

-
.

 Re: Re: Re: Not working...

 
 by NetCutter on: Sep 28 2010
 
Score 50%

Is this EVER going to be ported with latest sip version?

I mean...it's naive to tell people: "Don't upgrade your system, otherwise it's not going to work" :)


Reply to this

-

 not install with kde 4.5.1

 
 by chepioq on: Sep 2 2010
 
Score 50%

With my fedora13 I update kde to 4.5.1
When I want install gmail-plasmoid I have this error message:

Quote:
[dominique@localhost Téléchargements]$ plasmapkg -i gmail-plasmoid-0.7.14.plasmoid
"KConfigIni: In file /tmp/kde-dominique/plasmapkg0qG2hz/metadata.desktop, line 1: " Invalid entry (missing ']')
"KConfigIni: In file /tmp/kde-dominique/plasmapkg0qG2hz/metadata.desktop, line 2: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkg0qG2hz/metadata.desktop, line 3: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkg0qG2hz/metadata.desktop, line 4: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkg0qG2hz/metadata.desktop, line 5: " Invalid entry (missing ']')
"KConfigIni: In file /tmp/kde-dominique/plasmapkgmRPodt/metadata.desktop, line 1: " Invalid entry (missing ']')
"KConfigIni: In file /tmp/kde-dominique/plasmapkgmRPodt/metadata.desktop, line 2: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkgmRPodt/metadata.desktop, line 3: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkgmRPodt/metadata.desktop, line 4: " Invalid entry (missing '=')
"KConfigIni: In file /tmp/kde-dominique/plasmapkgmRPodt/metadata.desktop, line 5: " Invalid entry (missing ']')
plasmapkg(14614)/libplasma Plasma::Package::installPackage: Package plugin name not specified
L'installation de /home/dominique/Téléchargements/gmail-plasmoid-0.7.14.plasmoid a échoué.
[dominique@localhost Téléchargements]$


Where is the problem?


Reply to this

-

 Re: not install with kde 4.5.1

 
 by Desdenova88 on: Sep 2 2010
 
Score 50%

Same problem here with Arch Linux 64bit and KDE 4.5.1 I've tried other plasmoids, same error. I guess it's a KDE bug.


Reply to this

-

 Re: Re: not install with kde 4.5.1

 
 by seld on: Sep 6 2010
 
Score 50%

Yes, seems to be a bug in KDE 4.5.1.

Here is workaround:
1) unpack it
2) issue install command for the folder, where you have unpacked it.

Source:
https://bbs.archlinux.org/viewtopic.php?id=104060

However, it doesn't work for me in 4.5.1
(I have succeeded in installing it,
but gmail-plasmoid causes Plasma to crash.
I think this is due to some Python issues.)


Reply to this

-

 Re: Re: Re: not install with kde 4.5.1

 
 by Desdenova88 on: Sep 6 2010
 
Score 50%

Yes, that thread is mine ;)


Reply to this

-

 Re: Re: Re: not install with kde 4.5.1

 
 by Grindcore on: Sep 7 2010
 
Score 50%

Works for me (Kubuntu 10.04, KDE 4.5.1). Thanks for the hint!


Reply to this

-

 Re: Re: Re: not install with kde 4.5.1

 
 by quadra on: Sep 28 2010
 
Score 50%

installing after extracting works for me on Arch and kde 4.5.1


Reply to this

-
.

 Re: Re: Re: Re: not install with kde 4.5.1

 
 by Montblanc on: Oct 5 2010
 
Score 50%

Installation works fine on Kubuntu Maverick with KDE 4.5.1. Gmail ID checking seems fine, but it doesn't look anymore for new messages.


Reply to this

-

 Kwallet integration

 
 by DarksideEE7 on: Sep 23 2010
 
Score 50%

First of all thanks for this great plasmoid!

Would it be possible to include kwallet integration so we don't have to enter our kwallet password every time we login to KDE? This plasmoid is prompting the kwallet for access every time, and it doesn't show a rule in the kwallet configuration menu under:
system settings/accounts details/kde wallet

Thanks!


Also, does anyone know if the latest sip still breaks this plasmoid? I've had it in my ignore list for my package manager for some time.


Reply to this

-

 0.7.15 work with sip

 
 by chepioq on: Sep 25 2010
 
Score 50%

Hi...
I install latest version on my fedora14 with kde 4.5 and all work...
Just installer from kde don't work, but you need to unpack the tarball an install command for the folder, where you have unpacked it


Reply to this

-

 latest sip/qt/whatnot broken?

 
 by pippolepippa on: Oct 3 2010
 
Score 50%

Thanks for the great work!

Unfortunately, latest opensuse 11.3 updates broke the plasmoid (again). I don't know who the culprit is, might be qt 4.7, sip 4.11, python or a combination.

Here are the symptoms:

1) I can't install without first unpacking

2) When running, plasmoid never reaches the "gray state". Running through plasmoidviewer produces the following:

Traceback (most recent call last):
File "...../101229-gmail-plasmoid-0.7.15/contents/code/gmail.py", line 99, in resultData
if job.error() <> 0:
TypeError: C++ type 'QPair<QString,QString>' is not supported as a native Qt signal type


Commenting the lines 99-102 in the /contents/code/gmail.py makes it "work", but then there is no error check anymore :-(


Reply to this

goto page: prev  ... 8  9  10  11  12  13  14  15  16  17  18  19  20  21  22  23 ...

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.